$tablet: 'only screen and (min-width: 769px) and (max-width: 991px)';
$phone-big: 'only screen and (max-width: 768px)';
$color-red-light-1: #f2dede;
$color-red-light-2: #eed3d7;
$color-red: #b94a48;

.form-row-item {
  width: 100%;
  margin-bottom: 15px;
  display: flex;
  .text-label {
    padding-right: 20px;
    width: 200px;
    text-align: right;
    @media #{$phone-big} {
      text-align: left;
      width: 100%;
      padding-left: 20px;
    }
  }
  .league-start {
    width: 38%;
    @media #{$phone-big} {
      width: 100%;
    }
  }
  .form-component-wrapper {
    width: 100%;
  }

  @media #{$phone-big} {
    display: inline-block;
    .text-label {
      padding-left: 0;
    }
  }
}

.form-btn {
  margin-bottom: 40px;
}
//overide of row margins
.row-overwrite {
  margin-right: 0;
  margin-left: 0;
}

.create-league-form {
  max-width: 900px;
  .wrapper {
    width: 100%;
    max-width: 900px;
  }
  .form-row {
    @extend .form-row-item;
  }

  .row {
    @extend .row-overwrite;
  }
  .ant-cascader-picker {
    width: 100%;
  }
  .ant-select {
    width: 100%;
  }
  .dropdown-item {
    display: flex;
    .form-component-wrapper {
      max-width: 250px;
    }
    .col-xs-12 {
      padding: 0;
    }
    @media #{$tablet} {
      .league-start {
        width: 160px;
      }
      .form-component-wrapper {
        max-width: 50%;
        // .ant-select {
        //   width: 160px;
        // }
      }
    }
    @media #{$phone-big} {
      display: inline-block;
      .form-component-wrapper {
        max-width: 100%;
      }
    }
  }
  .ant-calendar-picker {
    width: 100%;
    max-width: 250px;

    @media #{$tablet} {
      max-width: 100%;
    }
    @media #{$phone-big} {
      max-width: 100%;
    }
  }

  .input-hint {
    line-height: 1;
  }

  .max-praticipant-item {
    padding-right: 0;

    .max-item-label {
      width: 290px;
    }
  }
}
.auth-btn-container {
  width: 100%;
  text-align: center;
  margin-top: 34px;
  @media #{$phone-big} {
    margin-top: 1px;
  }
}

.reward-sharing-form {
  .border {
    border: 1px solid blue;
  }
  .radio-btn {
    width: 50px;
    text-align: left;
  }
  .display-mobile {
    display: none;
    @media #{$phone-big} {
      display: block;
      margin-bottom: 40px;
    }
  }
  .hide-mobile {
    display: block;
    @media #{$phone-big} {
      display: none;
    }
  }
  .mobile {
    display: none;
    @media #{$phone-big} {
      display: block;
    }
  }
  max-width: 900px;
  .subtext {
    font-size: 11px;
    color: #333;
    text-align: center;
  }
  .tag-box {
    padding: 0;
    text-align: right;
    @media #{$phone-big} {
      text-align: left;
    }
  }
  .rs-system-ratio {
    padding: 0;
    > div {
      @media #{$phone-big} {
        margin-top: 10px;
        padding: 0;
      }
    }
  }
  .form-input {
    width: 100%;
  }
  .custom-wrapper {
    margin-top: 40px;
    @media #{$phone-big} {
      margin-top: 1px;
      padding: 0;
    }
    .rs-label {
      line-height: 2;
      padding: 0;
      text-align: right;
    }
    .rs-field {
      padding: 0;
      padding-left: 20px;
    }
    .form-input {
      padding: 0;
      padding-left: 10px;
    }
    .custom-input {
      padding-right: 0;
    }
    @media #{$phone-big} {
      > div {
        padding: 0;
        > div {
          padding: 0;
          > div {
            padding: 0;
          }
          .rs-field {
            padding-left: 0;
          }
          .rs-label {
            text-align: left;
            margin-top: 10px;
          }
        }
      }
    }
  }
  .man-of-the-month {
    margin-top: 40px;
  }
  .text-label {
    text-align: right;
    @media #{$phone-big} {
      text-align: left;
      padding: 0;
    }
  }
  .row {
    @extend .row-overwrite;
  }
}

// confirm-league-form page
.confirm-league-form {
  max-width: 900px;
  .form-row {
    @extend .form-row-item;
  }
  .form-input {
    color: #333;
  }
  .row {
    @extend .row-overwrite;
  }

  .league-message-box {
    padding: 5px;
    border-radius: 3px;
    margin-bottom: 20px;
    text-align: center;
  }

  .error {
    opacity: 0.7;
    background: $color-red-light-1;
    border: 1px solid $color-red-light-2;
    color: $color-red;
  }

  .participation-text {
    line-height: 30px;
  }
}
